Bug 243397 - Package should require yelp for its help
Package should require yelp for its help
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnotime (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Toshio Kuratomi
Fedora Extras Quality Assurance
:
Depends On: 243478
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 12:27 EDT by Matěj Cepl
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 18:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2007-06-08 12:27:01 EDT
This package uses yelp for its help. Therefore, it should require package yelp for its operation.

[Filed by a script; forgive him if he made a mistake for once.]
Comment 1 Toshio Kuratomi 2007-06-08 14:23:36 EDT
Hmm... Should the individual apps be requiring yelp?  It seems like something
within the gnome framework should do that instead:

1) Any app which uses gnome-help methods to view help are going to invoke yelp
2) The gnome libraries are deciding to invoke yelp, not the individual apps.
3) The help system won't necessarily invoke yelp.  If there were another app
that could service its mime type, ghelp:// could invoke that program instead.

(If this was discussed somewhere, reference the discussion and I'll go read up
on it.)
Comment 2 Toshio Kuratomi 2007-06-08 17:51:58 EDT
Talked with mclasen, halfline, and dazidz on IRC and there's two sensible choices:

1) Add a dependency to libgnomeui so all apps pick it up.
2) Ignore the issue.  The help system could potentially use another browser
besides yelp.

I've opened bug #243478 against libgnomeui with more information.

Matej, I'm not certain what other packages your script opened bugs against but
you might want to mention/watch the libgnomeui bug as the outcome will affect
all of them.
Comment 3 Matěj Cepl 2007-06-08 18:34:20 EDT
See more info in the libgnomeui bug where I put some more information. If you
are right, I may have to run my script once more this time closing all those
bugs ;-).
Comment 4 Christopher Aillon 2007-06-09 18:50:38 EDT
All of these bug reports are (most likely) wrong.  The package should NOT
require yelp.  We went through effort to ensure that yelp is not a requirement
for the desktop.

You should ask yourself: will the package fail to work if yelp is not installed?
 If not, do not require yelp.

If you have already committed this fix blindly, I ask that you consider undoing
it so derivative projects can continue using your package without help if they
so choose.

We have added yelp to the default install via comps so that all installs get
yelp by default unless they specifically ask for it to be removed.  We should
honor that.  Please undo your changes if you have made them and/or mark this bug
WONTFIX.  Thanks.
Comment 5 Toshio Kuratomi 2007-06-14 18:49:36 EDT
rstrode has added the dependency on yelp to libgnomeui.  Closing this as fixed
in RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.